const notificationService = require('../services/notification.service');
const { OK, Created } = require('../core/success.response');

class NotificationController {
    async createNotification(req, res) {
        const result = await notificationService.createNotification(req.body);
        new Created({
            message: 'Tạo thông báo thành công!',
            metadata: result,
        }).send(res);
    }

    async updateNotification(req, res) {
        const result = await notificationService.updateNotification(req.params.id, req.body);
        new OK({
            message: 'Cập nhật thông báo thành công!',
            metadata: result,
        }).send(res);
    }

    async deleteNotification(req, res) {
        const result = await notificationService.deleteNotification(req.params.id);
        new OK({
            message: 'Xóa thông báo thành công!',
            metadata: result,
        }).send(res);
    }

    async getNotifications(req, res) {
        const result = await notificationService.getNotifications();
        new OK({
            message: 'Lấy danh sách thông báo thành công!',
            metadata: result,
        }).send(res);
    }

    async getActiveNotification(req, res) {
        const result = await notificationService.getActiveNotification();
        new OK({
            message: 'Lấy thông báo hoạt động thành công!',
            metadata: result,
        }).send(res);
    }
}

module.exports = new NotificationController();
